Bug 1208606 - need to setup extlinux.conf with fdtdir on anaconda installs
Summary: need to setup extlinux.conf with fdtdir on anaconda installs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: extlinux-bootloader
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F22BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-04-02 16:30 UTC by Dennis Gilmore
Modified: 2015-04-04 17:52 UTC (History)
4 users (show)

Fixed In Version: extlinux-bootloader-1.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-04 17:52:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Dennis Gilmore 2015-04-02 16:30:17 UTC
Description of problem:
anaconda installs on armv7hl do not get a fdtdir entry in extlinux.conf if needed, or /etc/sysconfig/uboot setup to say that the platform provides its own dtb when appropriate. resulting in the need to manaully intervene either post install by pulling the disk and mounting elsewhere, or using a kickstart and manipulating in %post.


Proposing as a Beta Blocker under the alpha criteria
https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Release-blocking_images_must_boot

up until now anaconda installs on some platforms required manual steps post install to boot.

Comment 1 Fedora Update System 2015-04-02 16:31:49 UTC
extlinux-bootloader-1.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-5324/extlinux-bootloader-1.1-3.fc22

Comment 2 Dennis Gilmore 2015-04-02 16:38:45 UTC
Changing to FE

Comment 3 Adam Williamson 2015-04-03 01:39:30 UTC
+1 FE for this - it's something we can't fix with updates and we want to make sure it works properly, plus the change can't really break anything release-blocking so it's fairly safe from that PoV.

Comment 4 Tim Flink 2015-04-03 01:49:44 UTC
I'm not that familiar with the ARM platforms but this sounds a little blockery to me.

Definitely +1 FE. Can't be fixed with a post-install update and arm7hl is PA, it should be installing properly.

Comment 5 Dennis Gilmore 2015-04-03 01:51:13 UTC
+1 FE

Comment 6 Adam Williamson 2015-04-03 01:55:41 UTC
that's +3, accepting.

Comment 7 Fedora Update System 2015-04-04 17:52:57 UTC
extlinux-bootloader-1.1-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.